%define CA_ALIAS NorduGrid
%define CA_HASH  1f0e8352

Name: ca_%{CA_ALIAS}-certrequest-config
Version: 0.2
Release: 1
Source: %{CA_ALIAS}-certrequest-config-%{version}.tar.gz
License: GPL
Prefix: /etc /etc/grid-security
Group: Grid/Security
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

Summary: Configuration files for grid-cert-request with %{CA_ALIAS} certification authority with hash %{CA_HASH}
%description

This package contains configuration files for openssl (which is used by
Globus grid-cert request) for trusted certification authority %{CA_ALIAS}.

%prep
%setup -c

%build
exit 0

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

for i in grid-security.conf globus-user-ssl.conf globus-host-ssl.conf directions; do
  cp -p $i.%{CA_HASH} $RPM_BUILD_ROOT/etc/grid-security/certificates/
done

%post
X509_CERT_DIR=/etc/grid-security/certificates

if test "x$GRID_SECURITY_DIR" = "x" ; then
  GRID_SECURITY_DIR=/etc/grid-security
fi

if cd $X509_CERT_DIR; then
    if test -f globus-host-ssl.conf.%{CA_HASH} ; then
    if test -f globus-user-ssl.conf.%{CA_HASH} ; then
    if test -f grid-security.conf.%{CA_HASH} ; then
      ln -sf $X509_CERT_DIR/globus-host-ssl.conf.%{CA_HASH} $GRID_SECURITY_DIR/globus-host-ssl.conf
      ln -sf $X509_CERT_DIR/globus-user-ssl.conf.%{CA_HASH} $GRID_SECURITY_DIR/globus-user-ssl.conf
      ln -sf $X509_CERT_DIR/grid-security.conf.%{CA_HASH}   $GRID_SECURITY_DIR/grid-security.conf
      ln -sf $X509_CERT_DIR/directions.%{CA_HASH}           $GRID_SECURITY_DIR/directions
      exit 0
    fi
    fi
    fi
else
    echo "Problem with security directory: $X509_CERT_DIR"
    exit 1
fi

%postun
X509_CERT_DIR=/etc/grid-security/certificates

if test "x$GRID_SECURITY_DIR" = "x" ; then
  GRID_SECURITY_DIR=/etc/grid-security
fi

# Remove dangling links
if cd $X509_CERT_DIR; then
  for i in globus-host-ssl.conf globus-user-ssl.conf grid-security.conf directions; do
    if test -r $GRID_SECURITY_DIR/$i; then
      :
    else
      rm -f $GRID_SECURITY_DIR/$i
    fi
  done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/etc/grid-security/certificates/grid-security.conf.%{CA_HASH}
/etc/grid-security/certificates/globus-user-ssl.conf.%{CA_HASH}
/etc/grid-security/certificates/globus-host-ssl.conf.%{CA_HASH}
/etc/grid-security/certificates/directions.%{CA_HASH}

%changelog
* Tue Mar 28 2006 Anders Waananen <waananen@nbi.dk> 0.2-1
- Add directions file
* Mon Aug  1 2003 Anders Waananen <waananen@nbi.dk> 0.1-1
- Initial build.
